package com.uas.platform.b2b.support;

import com.uas.search.b2b.model.SPage;
import com.uas.sso.support.Page;


/**
 * SPage<T> 与 Page<T>转换
 *
 * Created by hejq on 2018-01-17.
 */
public class SPageUtils {

    /**
     * 将Page<T> 转成平台封装的SPage<T>
     * @param page page信息
     * @param <T> 实体对象
     * @return
     */
    public static <T> SPage<T> covertSPage(org.springframework.data.domain.Page<T> page) {
        SPage<T> sPage = new SPage<T>();
        sPage.setTotalElement(page.getTotalElements());
        sPage.setSize(page.getSize());
        sPage.setPage(page.getNumber());
        sPage.setContent(page.getContent());
        return sPage;
    }
}
